Bug 81450 - [BDW]Piglit spec_glsl-1.30_execution_tex-miplevel-selection_textureGrad_1DArray cases intel_do_flush_locked failed
Summary: [BDW]Piglit spec_glsl-1.30_execution_tex-miplevel-selection_textureGrad_1DArr...
Status: VERIFIED FIXED
Alias: None
Product: Mesa
Classification: Unclassified
Component: Drivers/DRI/i965 (show other bugs)
Version: git
Hardware: All Linux (All)
: high major
Assignee: Jordan Justen
QA Contact: Intel 3D Bugs Mailing List
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-07-17 03:29 UTC by lu hua
Modified: 2014-08-04 06:01 UTC (History)
1 user (show)

See Also:
i915 platform:
i915 features:


Attachments
dmesg (83.81 KB, text/plain)
2014-07-17 03:29 UTC, lu hua
Details
output(tex-miplevel-selection textureGrad 1DArray) (196.94 KB, application/zip)
2014-07-17 03:32 UTC, lu hua
Details

Note You need to log in before you can comment on or make changes to this bug.
Description lu hua 2014-07-17 03:29:48 UTC
Created attachment 102957 [details]
dmesg

System Environment:
--------------------------
Platform: BDW
Libdrm:		(master)libdrm-2.4.54-19-gc0b34dca2632a774249cfa3b969c3f7ce9df33e1
Mesa:		(master)a2de6562783ea87ca5fbcb67dbd36c2f345f2054
Xserver:	(master)xorg-server-1.15.99.902-121-g2f5cf9ff9a0f713b7e038636484c77f113a5f10a
Xf86_video_intel:(master)2.99.912-229-ge0523ade28fa0da00d0bd70d8b22d53ed4e49f73
Libva:		(master)c61d8c6ce9ffc27320e9e177c1e1123d5f1b5014
Libva_intel_driver:(master)c5cb17ea86f0065a939d3636dd26651c93d497c8
Kernel  (drm-intel-nightly)77820625217fa547586f00be7cae56e5c5e255bf

Bug detailed description:
------------------------- 
Run new piglit case spec_glsl-1.30_execution_tex-miplevel-selection_textureGrad_1DArray then run following piglit case.
They will fail with intel_do_flush_locked failed: Input/output error.
Test drm-intel-fixes, drm-intel-next-queued and drm-intel-nightly kernel, they all have this issue.
Fail piglit cases:
spec_glsl-1.30_execution_textureSize_fs-textureSize-isampler1D
spec_glsl-1.30_execution_textureSize_fs-textureSize-isampler1DArray
spec_glsl-1.30_execution_textureSize_fs-textureSize-isampler2D
spec_glsl-1.30_execution_textureSize_fs-textureSize-isampler2DArray
spec_glsl-1.30_execution_textureSize_fs-textureSize-isampler3D
spec_glsl-1.30_execution_textureSize_fs-textureSize-isamplerCube
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler1D
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler1DArray
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler1DArrayShadow
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler1DShadow
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler2D
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler2DArray
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler2DArrayShadow
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler2DShadow
spec_glsl-1.30_execution_textureSize_fs-textureSize-sampler3D
spec_glsl-1.30_execution_textureSize_fs-textureSize-samplerCube
spec_glsl-1.30_execution_textureSize_fs-textureSize-samplerCubeShadow
spec_glsl-1.30_execution_textureSize_fs-textureSize-usampler1D
spec_glsl-1.30_execution_textureSize_fs-textureSize-usampler1DArray
spec_glsl-1.30_execution_textureSize_fs-textureSize-usampler2D
spec_glsl-1.30_execution_textureSize_fs-textureSize-usampler2DArray
spec_glsl-1.30_execution_textureSize_fs-textureSize-usampler3D
spec_glsl-1.30_execution_textureSize_fs-textureSize-usamplerCube
spec_glsl-1.30_execution_textureSize_vs-textureSize-isampler1D
spec_glsl-1.30_execution_textureSize_vs-textureSize-isampler1DArray
spec_glsl-1.30_execution_textureSize_vs-textureSize-isampler2D
spec_glsl-1.30_execution_textureSize_vs-textureSize-isampler2DArray
spec_glsl-1.30_execution_textureSize_vs-textureSize-isampler3D
spec_glsl-1.30_execution_textureSize_vs-textureSize-isamplerCube
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler1D
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler1DArray
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler1DArrayShadow
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler1DShadow
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler2D
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler2DArray
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler2DArrayShadow
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler2DShadow
spec_glsl-1.30_execution_textureSize_vs-textureSize-sampler3D
spec_glsl-1.30_execution_textureSize_vs-textureSize-samplerCube
spec_glsl-1.30_execution_textureSize_vs-textureSize-samplerCubeShadow
spec_glsl-1.30_execution_textureSize_vs-textureSize-usampler1D
spec_glsl-1.30_execution_textureSize_vs-textureSize-usampler1DArray
spec_glsl-1.30_execution_textureSize_vs-textureSize-usampler2D
spec_glsl-1.30_execution_textureSize_vs-textureSize-usampler2DArray
spec_glsl-1.30_execution_textureSize_vs-textureSize-usampler3D
spec_glsl-1.30_execution_textureSize_vs-textureSize-usamplerCube
spec_glsl-1.30_execution_uniform-initializer_fs-uint
spec_glsl-1.30_execution_uniform-initializer_fs-uint-array
spec_glsl-1.30_execution_uniform-initializer_fs-uint-from-const
spec_glsl-1.30_execution_uniform-initializer_fs-uint-set-by-API
spec_glsl-1.30_execution_uniform-initializer_fs-uint-set-by-other-stage
spec_glsl-1.30_execution_uniform-initializer_vs-uint
spec_glsl-1.30_execution_uniform-initializer_vs-uint-array
spec_glsl-1.30_execution_uniform-initializer_vs-uint-from-const
spec_glsl-1.30_execution_uniform-initializer_vs-uint-set-by-API
spec_glsl-1.30_execution_uniform-initializer_vs-uint-set-by-other-stage
spec_glsl-1.30_execution_varying-packing-mixed-types
spec_glsl-1.30_execution_vertexid-beginend
spec_glsl-1.30_execution_vertexid-drawarrays
spec_glsl-1.30_execution_vertexid-drawelements
spec_glsl-1.30_execution_vs-attrib-ivec4-implied
spec_glsl-1.30_execution_vs-attrib-ivec4-precision
spec_glsl-1.30_execution_vs-attrib-uvec4-implied
spec_glsl-1.30_execution_vs-attrib-uvec4-precision
spec_glsl-1.30_execution_vs-decrement-int
spec_glsl-1.30_execution_vs-decrement-uint
spec_glsl-1.30_execution_vs-float-uint-conversion
spec_glsl-1.30_execution_vs-increment-int
spec_glsl-1.30_execution_vs-increment-uint
spec_glsl-1.30_execution_vs-isinf-vec2
spec_glsl-1.30_execution_vs-isinf-vec3
spec_glsl-1.30_execution_vs-isinf-vec4
spec_glsl-1.30_execution_vs-isnan-vec2
spec_glsl-1.30_execution_vs-isnan-vec3
spec_glsl-1.30_execution_vs-isnan-vec4
spec_glsl-1.30_execution_vs-mix-bvec4-infnan
spec_glsl-1.30_execution_vs-multiply-const-ivec4
spec_glsl-1.30_execution_vs-multiply-const-uvec4
spec_glsl-1.30_execution_vs-multiply-ivec4-const
spec_glsl-1.30_execution_vs-multiply-uvec4-const
spec_glsl-1.30_execution_vs-textureLod-miplevels
spec_glsl-1.30_execution_vs-textureLod-miplevels-2
spec_glsl-1.30_execution_vs-textureSize-compare

New case spec_glsl-1.30_execution_tex-miplevel-selection_textureGrad_1DArray's fail has 81405

Run bin/textureSize fs isampler1D -fbo -auto
output:
Probe color at (10,10)
  Expected: 0.650000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 0.000000
Probe color at (30,10)
  Expected: 0.320000 0.000000 0.000000 1.000000
  Observed: 0.000000 0.000000 0.000000 0.000000
intel_do_flush_locked failed: Input/output error

Reproduce steps:
-------------------------
1. xinit
2. bin/tex-miplevel-selection textureGrad 1DArray -fbo -auto
3. bin/textureSize fs isampler1D -fbo -auto
Comment 1 lu hua 2014-07-17 03:32:00 UTC
Created attachment 102958 [details]
output(tex-miplevel-selection textureGrad 1DArray)
Comment 2 Ville Syrjala 2014-07-31 13:16:56 UTC
Some kind of gpu lockup it would seem. Please attach the error state.
Comment 3 Jordan Justen 2014-07-31 20:33:18 UTC
Potential fix on list:
http://patchwork.freedesktop.org/patch/30738/
Comment 4 lu hua 2014-08-01 02:31:17 UTC
(In reply to comment #3)
> Potential fix on list:
> http://patchwork.freedesktop.org/patch/30738/

Fixed by this patch.
Comment 5 Jordan Justen 2014-08-01 18:25:30 UTC
Mesa commit c860a379d2fa09da1711591b6aef4a885d224ea0
Comment 6 lu hua 2014-08-04 06:01:39 UTC
Verified.Fixed.


bug/show.html.tmpl processed on Feb 22, 2017 at 10:44:52.
(provided by the Example extension).